#!/bin/bash
# Script to install a prebuilt package

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

SRC_NAME=${SRC_LOC%.tar.*}
SRC_NAME=${SRC_NAME##*/}

if [ "$SRC_NAME" = "empty" ]; then
	exit 0
fi

do_buildstep_prepend

log_exec rm -rf $SRC_NAME

#for src in "$DOWNLOAD_LOC/$(basename $SRC_LOC)" "$DOWNLOAD_LOC/$(basename $SRC_LOC).tar.*"; do
#	if [ -r "$src" ]; then
#		log_exec tar xf "$src"
#		break
#	fi
#done

log_exec mkdir -p ${install_loc}/usr/lib
log_exec mkdir -p ${install_loc}/usr/include
log_exec cp r9p0-01rel0/glesHeaders/* ${install_loc}/usr/include -r 
log_exec mv ${install_loc}/usr/include/GBM/gbm.h ${install_loc}/usr/include/gbm.h
log_exec rm -rf ${install_loc}/usr/include/GBM
log_exec rm -rf ${install_loc}/usr/include/VG 
log_exec cp r9p0-01rel0/aarch64-linux-gnu/* ${install_loc}/usr/lib -r
log_exec mv ${install_loc}/usr/lib/common/* ${install_loc}/usr/lib/
log_exec rm -rf ${install_loc}/usr/lib/common
log_exec ln -nfs ./wayland/libMali.so.9.0 ${install_loc}/usr/lib/libMali.so.9.0

#install pkg config files

log_exec install -d ${install_loc}/usr/lib/pkgconfig
log_exec install -m 0644 egl.pc ${install_loc}/usr/lib/pkgconfig/egl.pc
log_exec install -m 0644 glesv2.pc  ${install_loc}/usr/lib/pkgconfig/glesv2.pc
log_exec install -m 0644 glesv1.pc  ${install_loc}/usr/lib/pkgconfig/glesv1.pc
log_exec install -m 0644 glesv1_cm.pc  ${install_loc}/usr/lib/pkgconfig/glesv1_cm.pc
log_exec install -m 0644 gbm.pc ${install_loc}/usr/lib/pkgconfig/gbm.pc

# Cleanup previous installation
#do_cleanup_install_loc

#log_exec mv $SRC_NAME/* ${install_loc}

do_buildstep_append