#!/bin/bash
# Script to run package configure

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

find_cfgs() {
	find ${srcDir} -type f -name '*.cfg' -maxdepth 1
}

do_buildstep_prepend

if [ -n "${UBOOT_MACHINE}" ]; then
	do_make -C ${srcDir} O=${buildDir} ${UBOOT_MACHINE}
else
    do_make -C ${srcDir} O=${buildDir} oldconfig
fi

log_exec ${srcDir}/scripts/kconfig/merge_config.sh ${buildDir}/.config $(find_cfgs)

do_make oldconfig

do_buildstep_append