#!/bin/bash
# Script to tun Xilinx BootGen tool to generate BOOT.BIN
# Authors: 	Antoine BRAUT <antoine.braut@ac6.fr>
#			Kevin TANG <kevin.tang@ac6.fr>
#
# Date: 	2021-02-25
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

# BOOTGEN_BIF_FILE is generated from Configure buildstep
: ${BOOTGEN_BIF_FILE:="bootgen.bif"}

do_buildstep_prepend

log_exec bootgen -w on -arch zynqmp -image ${buildDir}/${BOOTGEN_BIF_FILE} -o ${buildDir}/BOOT.BIN

do_buildstep_append
